Qt 5.9 | Qt 3D | QML Types | LayerFilter QML Type

Qt 5.9.9 Reference Documentation

# LayerFilter QML Type

Controls layers Drawn in a frame graph branch. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.5
Instantiates: | QLayerFilter
Inherits: | FrameGraphNode

- List of all members, including inherited members

## Properties

- layers : list<Layer>

## Detailed Description

A LayerFilter can be used to instruct the renderer as to which layer(s) to draw in that branch of the frame graph. The LayerFilter selects which entities to draw based on the Layer instances added to the LayerFilter and as components to the Entity.

## Property Documentation

[read-only] layers : list<Layer>

Holds a list of layers specifying the layers to select for drawing.